Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms
Class GraphicContextFactory

    java.lang.Object
      org.deegree.ogcwebservices.wms.GraphicContextFactory

    public class GraphicContextFactory

extends Object

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Constructor Summary
`GraphicContextFactory()`

Method Summary
`static Graphics` | `createGraphicContext(String mimeType, Object target)` creates a graphic context for the passed target considering the passed mime type
`static Object` | `createGraphicTarget(String mimeType, int width, int height)` creates a graphic target object for the passed mime type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphicContextFactory

    public GraphicContextFactory()

Method Detail

### createGraphicTarget

    public static Object createGraphicTarget(String mimeType,
                                             int width,
                                             int height)

  creates a graphic target object for the passed mime type. The target will be the object where to render the to. A `BufferedImage` for raster image mime types and a DOM `Document` for SVG.

  Parameters:
    `mimeType` - mime type to create a object for
    `width` - width of the desired target object
    `height` - height of the desired target object
  Returns:
    object to render to

### createGraphicContext

    public static Graphics createGraphicContext(String mimeType,
                                                Object target)

  creates a graphic context for the passed target considering the passed mime type

  Parameters:
    `mimeType` - mime type of the graphic (target)
    `target` - object to render to.
  Returns:
    graphic context of the target

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org